#190 miniserv.error

closed
Martin Mewes
None
5
2004-12-01
2004-12-01
Anonymous
No

Hi,

After upgrade to webmin 1.170 my miniserv.error start
showing this error msg as soon i start the webmin and
same as usermin, but the service running fine.

[29/Nov/2004:07:01:01 +0200] miniserv.pl started
[29/Nov/2004:07:01:01 +0200] Perl module
Authen::PAM needed for PAM is not installed : Can't
locate Authen/PAM.pm in @INC (@INC
contains: /usr/libexec/webmin /usr/lib/perl5/5.8.0/i386-
linux-thread-
multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i38
6-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor
_perl /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 .) at (eval 2) line 1.
BEGIN failed--compilation aborted at (eval 2) line 1.

[30/Nov/2004:07:01:01 +0200] miniserv.pl started
[30/Nov/2004:07:01:01 +0200] Perl module
Authen::PAM needed for PAM is not installed : Can't
locate Authen/PAM.pm in @INC (@INC
contains: /usr/libexec/webmin /usr/lib/perl5/5.8.0/i386-
linux-thread-
multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i38
6-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor
_perl /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 .) at (eval 2) line 1.
BEGIN failed--compilation aborted at (eval 2) line 1.

*********
Also i get this error for the usermin 1.100 miniserv.error
*********

[30/Nov/2004:07:11:00 +0200] miniserv.pl started
[30/Nov/2004:07:11:00 +0200] Perl module
Authen::PAM needed for PAM is not installed : Can't
locate Authen/PAM.pm in @INC (@INC
contains: /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i38
6-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor
_perl /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 .) at (eval 1) line 1.
BEGIN failed--compilation aborted at (eval 1) line 1.

[01/Dec/2004:07:11:00 +0200] miniserv.pl started
[01/Dec/2004:07:11:00 +0200] Perl module
Authen::PAM needed for PAM is not installed : Can't
locate Authen/PAM.pm in @INC (@INC
contains: /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i38
6-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor
_perl /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 .) at (eval 1) line 1.
BEGIN failed--compilation aborted at (eval 1) line 1.

can anyone advice what i have to do to solve this error

Regards
Rushan

Rushan@mec.com.jo

Discussion

  • Martin Mewes
    Martin Mewes
    2004-12-01

    Logged In: YES
    user_id=288773

    As "root" do

    perl -MCPAN -e shell
    install Authen::PAM

    then

    /etc/init.d/webmin restart
    /etc/init.d/usermin restart

    To mee it looks like you did a Perl-Upgrade rather than a
    Webmin-Upgrade. Webmin does only behave like this if the
    Perl-Version changes.

     
  • Martin Mewes
    Martin Mewes
    2004-12-01

    • assigned_to: nobody --> macmewes
     
  • Logged In: NO

    if i select the option

    Never use PAM for Unix authentication

    is it going to solve this error??

     
  • Logged In: NO

    well i try what u told me and i get this error

    [root@mec webmin]# perl -MCPAN -e shell
    Can't locate CPAN.pm in @INC (@INC
    contains: /usr/lib/perl5/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-
    linux-thread-
    multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/li
    b/perl5/vendor_perl/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl
    /usr/lib/perl5/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/5.8.0 .).
    BEGIN failed--compilation aborted.

    well
    if i select the option

    Never use PAM for Unix authentication

    in the authentication section under usermin and webmin
    configuration is it going to solve this error??

     
  • Jamie Cameron
    Jamie Cameron
    2004-12-01

    • status: open --> closed
     
  • Jamie Cameron
    Jamie Cameron
    2004-12-01

    Logged In: YES
    user_id=129364

    That message is actually harmless anyway, and can be ignored ..

     
  • Logged In: NO

    well i try what u told me and i get this error

    [root@mec webmin]# perl -MCPAN -e shell
    Can't locate CPAN.pm in @INC (@INC
    contains: /usr/lib/perl5/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-
    linux-thread-
    multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/li
    b/perl5/vendor_perl/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl
    /usr/lib/perl5/5.8.0/i386-linux-thread-
    multi /usr/lib/perl5/5.8.0 .).
    BEGIN failed--compilation aborted.

    well
    if i select the option

    Never use PAM for Unix authentication

    in the authentication section under usermin and webmin
    configuration is it going to solve this error??